ALARM(3C)

NAME
alarm - schedule signal after specified time

SYNOPSIS
alarm(seconds)
unsigned seconds;

DESCRIPTION
This interface is made obsolete by setitimer(2).

Alarm causes signal SIGALRM, see sigvec(2), to be sent to the invoking process in a number of seconds given by the argument. Unless caught or ignored, the signal terminates the process.

Alarm requests are not stacked; successive calls reset the alarm clock. If the argument is 0, any alarm request is canceled. Because of scheduling delays, resumption of execution of when the signal is caught may be delayed an arbitrary amount. The longest specifiable delay time is 2147483647 seconds.

The return value is the amount of time previously remaining in the alarm clock.

SEE ALSO
sigpause(2), sigvec(2), signal(3C), sleep(3), ualarm(3), usleep(3)